0

The version of jQuery in lib is 1.14.0. I want to upgrade to 3.0.0.Tried making changes in theme require.js and keeping the new version file in web/js folder of theme, but, it's affecting other js which searches those files in wrong location.

For example in require i gave the path as js/jquery as it is web/js folder. But, the validate.js file loaction is changed to js/jquery/validate.js

1 Answer 1

0

Original file path is here

magento\vendor\magento\magento2-base\lib\web\jquery.js

You should overwrite in your theme so path will be

magento\app\design\frontend\Custom\YourTheme\web\js\jquery.js

How to override JS file

Extending / Overriding JS in Magento 2

1
  • hi, @Rathod, how to update knockout js and jquery-ui version as well? Oct 30, 2019 at 10:40

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.